## deepin-image-viewer 1.2.19

=== debian/changelog ===
deepin-image-viewer (1.2.19-2) unstable; urgency=medium

  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * d/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Sat, 21 Apr 2018 10:33:30 +0800

deepin-image-viewer (1.2.19-1) unstable; urgency=medium

  * New upstream release.
   + Add image settings option.
  * d/control: Update Standards-Version to 4.1.4.

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 12 Apr 2018 17:23:51 +0800

deepin-image-viewer (1.2.18-1) unstable; urgency=medium

  * New upstream release.
  * Bug Fixes.

 -- Yanhao Mo <yanhaocs@gmail.com>  Fri, 30 Mar 2018 21:28:37 +0800

deepin-image-viewer (1.2.16.9-1) unstable; urgency=medium

  * New upstream release.
  * Rebuild to fix FTBFS against new dtkwidget.
    Closes: #892643.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 13 Mar 2018 09:46:26 +0800

deepin-image-viewer (1.2.16.8-1) unstable; urgency=medium

  * New upstream release.
  * d/docs: Distribute docs about deepin-image-viewer.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 04 Jan 2018 20:46:46 +0800

deepin-image-viewer (1.2.16.7-1) unstable; urgency=medium

  * Initial release (Closes: #872633)

 -- Yangfl <mmyangfl@gmail.com>  Mon, 25 Dec 2017 16:15:36 +0800
