## deepin-image-viewer 1.2.23

=== debian/changelog ===
deepin-image-viewer (1.2.23-1) unstable; urgency=medium

  * New upstream version 1.2.23
  * Bump Standards-Version to 4.1.5 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Sat, 21 Jul 2018 10:57:42 +0800

deepin-image-viewer (1.2.22-1) unstable; urgency=medium

  * New upstream release.

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 28 May 2018 11:44:07 +0800

deepin-image-viewer (1.2.21-1) unstable; urgency=medium

  [ Yanhao Mo ]
  * New upstream release.
  * d/control: change maintainer field back to
    pkg-deepin-devel@lists.alioth.debian.org

  [ Boyuan Yang ]
  * d/copyright: Refresh information.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 15 May 2018 21:45:10 +0800
