=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: deepin-image-viewer
 Section: graphics
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <team+pkg-deepin@tracker.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <073plan@gmail.com>,
@@ -32,7 +32,7 @@
  qtmultimedia5-dev,
  qttools5-dev-tools,
  x11proto-xext-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://github.com/linuxdeepin/deepin-image-viewer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer
