## deepin-image-viewer 1.3.8

=== debian/changelog ===
deepin-image-viewer (1.3.8-1) unstable; urgency=medium

  * New upstream release 1.3.8.
    + Rebuild to solve the segmentation fault bug.
      (Closes: #922134)

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Feb 2019 11:26:13 -0500

deepin-image-viewer (1.3.7-1) unstable; urgency=medium

  * New upstream release 1.3.7.
  * debian/control:
    + Bump debhelper compat to v12.
  * debian/rules:
    + Follow upstream changes and specify VERSION during build.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Jan 2019 06:29:18 -0500

deepin-image-viewer (1.3.6-1) unstable; urgency=medium

  * New upstream releae 1.3.6.
  * debian/control: Bump Standards-Version to 4.3.0.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Dec 2018 09:10:17 +0800

deepin-image-viewer (1.3.5-1) unstable; urgency=medium

  * New upstream release 1.3.5.
  * debian/control:
    + R³: Use Rules-Requires-Root: no.
    + Build-depend on debhelper-compat (= 11) instead of old
      debian/compat.

 -- Boyuan Yang <byang@debian.org>  Sun, 09 Dec 2018 13:21:15 -0500

deepin-image-viewer (1.3.1-1) unstable; urgency=medium

  * New upstream release 1.3.1.
  * debian/control: Do not recommend libqt5libqgtk2 This package
    has disappeared in recent Qt versions and its alternative
    qt5-gtk-platformtheme is already recommended by libqt5gui5.

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Nov 2018 14:14:53 -0500

deepin-image-viewer (1.3.0-1) unstable; urgency=medium

  * New upstream release 1.3.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Oct 2018 19:34:37 -0400

deepin-image-viewer (1.2.23-2) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Update uploaders list and use my @debian.org email address.

 -- Boyuan Yang <byang@debian.org>  Thu, 30 Aug 2018 22:52:20 -0400
