=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  libdtkwidget-dev,
  libegl1-mesa-dev,
  libexif-dev,
@@ -32,7 +32,8 @@
  qtmultimedia5-dev,
  qttools5-dev-tools,
  x11proto-xext-dev,
-Standards-Version: 4.1.5
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Homepage: https://github.com/linuxdeepin/deepin-image-viewer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer
@@ -44,8 +45,6 @@
  qt5-image-formats-plugins,
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
- libqt5libqgtk2,
 Description: Image Viewer for Deepin Desktop Environment
  Deepin Image Viewer is an image viewer and manager elaborately produced by
  Deepin Technology. It is fashion and smooth, supports multiple image formats,
