## deepin-image-viewer 5.0.0

=== debian/changelog ===
deepin-image-viewer (5.0.0-2) unstable; urgency=medium

  * debian/patches:
    + Add patch to fix build with dtk5.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standard-Version to 4.5.1.
    + Update build dependency with libdtkwidget-dev (>=5.2~),
      libxcb-util-dev and libdtkcore5-bin.
    + Add Arun Kumar Pariyar to uploaders list.
  * debian/copyright: Add Upstream-Contact field.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Mon, 30 Nov 2020 17:10:04 +0545

deepin-image-viewer (5.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream patch to fix build with Qt 5.15 (closes: #972677).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 25 Oct 2020 20:33:15 +0300

deepin-image-viewer (5.0.0-1) unstable; urgency=medium

  * New upstream release 5.0.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 04 Oct 2019 11:08:11 -0400
