=== debian/control ===
--- 
+++ 
@@ -6,9 +6,12 @@
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
+ Arun Kumar Pariyar <openarungeek@gmail.com>,
 Build-Depends:
- debhelper-compat (= 12),
- libdtkwidget-dev,
+ debhelper-compat (= 13),
+ libdtkcore5-bin,
+ libdtkcore-dev (>=5.2~),
+ libdtkwidget-dev (>=5.2~),
  libegl1-mesa-dev,
  libexif-dev,
  libfontconfig1-dev,
@@ -23,7 +26,7 @@
  libsqlite3-dev,
  libstartup-notification0-dev,
  libudev-dev,
- libxcb-util0-dev,
+ libxcb-util-dev,
  libxrender-dev,
  pkg-config,
  qt5-qmake,
@@ -33,7 +36,7 @@
  qttools5-dev-tools,
  x11proto-xext-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/linuxdeepin/deepin-image-viewer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer
@@ -45,6 +48,8 @@
  qt5-image-formats-plugins,
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ kimageformat-plugins,
 Description: Image Viewer for Deepin Desktop Environment
  Deepin Image Viewer is an image viewer and manager elaborately produced by
  Deepin Technology. It is fashion and smooth, supports multiple image formats,
