=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 export QT_SELECT := 5
 
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@
@@ -22,5 +23,8 @@
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.md
 
+override_dh_auto_configure:
+	dh_auto_configure -- DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)"
+
 override_dh_missing:
 	dh_missing --fail-missing
