=== debian/changelog ===
deepin-image-viewer (5.7.8-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sun, 25 Apr 2021 17:32:28 +0800

deepin-image-viewer (1.0.0-1) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 24 Feb 2016 14:15:54 +0800
