=== debian/changelog ===
deepin-image-viewer (5.8.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112833)

 -- Adrian Bunk <bunk@debian.org>  Sun, 19 Oct 2025 21:26:15 +0300

deepin-image-viewer (5.8.2-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/0004-fix-FTBFS-bug-1096255.patch: Add patch
    to fix FTBFS due to missing header. (Closes: #1096255)

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Feb 2025 16:10:48 -0500

deepin-image-viewer (5.8.2-3) unstable; urgency=medium

  * debian/control:
    + Change pkg-config to pkgconf in B-D.
    + Added myself to uploaders list.
  * debian/clean:
    + Clean .qm files to fix ftbfs-source-after-build. (Closes: #1044906)

 -- Nisha Pariyar <nishapariyar48@gmail.com>  Fri, 31 May 2024 17:15:16 +0545

deepin-image-viewer (5.8.2-2) unstable; urgency=medium

  * debian/patches: Add patch to fix ftbfs with libdraw 0.21.
  * debian/control:
    + Update my debian email in Uploaders list.
    + Update libfontconfig1-dev to libfontconfig-dev,
      libfreetype6-dev to libfreetype-dev and
      libxcb-util0-dev to libxcb-util-dev.

 -- Arun Kumar Pariyar <arun@debian.org>  Thu, 06 Jul 2023 16:55:00 +0545

deepin-image-viewer (5.8.2-1) unstable; urgency=medium

  * New upstream version 5.8.2.
  * Update manpage using upstream source code.
  * debian/patches: Refresh patches.
  * debian/control: Tighten version requirement.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Nov 2021 20:37:24 -0500

deepin-image-viewer (5.7.4-1~exp1) experimental; urgency=medium

  * Switch to cmake build system.

  [ Hu Feng ]
  * New upstream release 5.7.4.
  * debian/control:
    + Bump Standards-Version to 4.5.1
    + Add Hu Feng to Uploaders.
    + Add dde-qt5integration to Depends in deepin-image-viewer package.
  * debian/copyriht
    + Update copyright info
  * debian/patches/*:
    + Add 0001-fix-build-with-qt5.15.patch
    + Add 0004-fix-enable-icon.patch

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Arun Kumar Pariyar ]
  * debian/control:
    + Update dependencies for proper build.
  * debian/copyright:
    + Update copyright info.
  * debian/rules:
    + Ensure proper build.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Apr 2021 11:58:22 -0400
