=== debian/control ===
Source: deepin-image-viewer
Section: graphics
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Boyuan Yang <byang@debian.org>,
 Yanhao Mo <yanhaocs@gmail.com>,
 Arun Kumar Pariyar <arun@debian.org>,
 Hu Feng <hufeng@uniontech.com>,
 Nisha Pariyar <nishapariyar48@gmail.com>
Build-Depends:
 cmake (>= 3),
 debhelper-compat (= 13),
 libdtkcore5-bin (>= 5.5.17~),
 libdtkwidget-dev (>= 5.5.17~),
 libdtkwidget5-bin,
 libegl1-mesa-dev,
 libexif-dev,
 libfontconfig-dev,
 libfreeimage-dev,
 libfreetype-dev,
 libgio-qt-dev,
 libglib2.0-dev,
 libmtdev-dev,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libraw-dev,
 libsqlite3-dev,
 libstartup-notification0-dev,
 libudev-dev,
 libudisks2-qt5-dev,
 libxcb-util-dev,
 libxrender-dev,
 pkgconf,
 qtbase5-dev,
 qtbase5-private-dev,
 qtmultimedia5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 x11proto-xext-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/linuxdeepin/deepin-image-viewer
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer

Package: deepin-image-viewer
Architecture: any
Depends:
 dde-qt5integration,
 libqt5sql5-sqlite,
 qt5-image-formats-plugins,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 kimageformat-plugins,
 libqt5libqgtk2,
 deepin-ocr,
Description: Image Viewer for Deepin Desktop Environment
 Deepin Image Viewer is an image viewer and manager elaborately produced by
 Deepin Technology. It is fashion and smooth, supports multiple image formats,
 user can view any kind of image. The image management in Deepin Image Viewer,
 allows user to rank images in Timeline by date, add image to "My favorites" or
 different albums. All images can be arranged in perfect order by Deepin Image
 Viewer.
 .
 This package is part of DDE (Deepin Desktop Environment).
