=== debian/rules ===
--- 
+++ 
@@ -18,13 +18,10 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@
-
-override_dh_installchangelogs:
-	dh_installchangelogs -k CHANGELOG.md
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-	dh_auto_configure -- DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)"
+	dh_auto_configure -- DEFINES+="VERSION=$(DEB_VERSION)"
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_auto_install:
+	dh_auto_install --max-parallel=1
