=== debian/changelog ===
deepin-image-viewer (5.8.13-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 23 Feb 2022 20:32:13 +0800
