=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -32,37 +32,26 @@
 #cmakedefine USE_MYMATH
 set(AllTestQRC
     ./testqrc/testresource.qrc)
-file(GLOB_RECURSE HEADERSCURRENT "src/*.h")
-file(GLOB_RECURSE  SOURCESCURRENT  "src/*.cpp")
+file(GLOB_RECURSE HEADERSCURRENT "*.h")
+file(GLOB_RECURSE  SOURCESCURRENT  "*.cpp")
 
 file (GLOB_RECURSE SOURCES
-    ../src/src/controller/*.cpp
-    ../src/src/dirwatcher/*.cpp
-    ../src/src/frame/*.cpp
-    ../src/src/module/*.cpp
-    ../src/src/service/*.cpp
-    ../src/src/settings/*.cpp
-    ../src/src/utils/*.cpp
-    ../src/src/widgets/*.cpp
-    ../src/src/application.cpp
-    *.cpp
+    "../src/src/accessibility/*.cpp"
+    "../src/src/mainwindow/*.cpp"
+    "../src/src/module/*.cpp"
+    "../src/*.h"
+    "../src/application.cpp"
     )
 file(GLOB_RECURSE SOURCESC "../src/*.c")
-file(GLOB_RECURSE HEADERS "../src/src/module/modulepanel.h")
+#file(GLOB_RECURSE HEADERS "../src/src/module/modulepanel.h")
 file(GLOB_RECURSE FORMS "../src/*.ui")
-file(GLOB_RECURSE RESOURCES "../src/*.qrc")
+file(GLOB_RECURSE RESOURCES "../*.qrc")
 
 include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 set(PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/../src/src/
     ${PROJECT_SOURCE_DIR}/../src/src/utils
-    ${PROJECT_SOURCE_DIR}/../src/src/controller
-    ${PROJECT_SOURCE_DIR}/../src/src/dirwatcher
-    ${PROJECT_SOURCE_DIR}/../src/src/widgets
-    ${PROJECT_SOURCE_DIR}/../src/src/accessibility
-    ${PROJECT_SOURCE_DIR}/../src/src/third-party/accessibility
-    ${PROJECT_SOURCE_DIR}/../src/src/module
     )
 
 find_package(PkgConfig REQUIRED)
@@ -84,16 +73,13 @@
     dtkcore
     dtkwidget
     gio-qt
-    udisks2-qt5
     gio-unix-2.0
-    gsettings-qt
 #    freeimage
         )
 
 ## translations
 
 file(GLOB TS LIST_DIRECTORIES false translations/${CMD_NAME}*.ts)
-#file(GLOB TS LIST_DIRECTORIES false ${PROJECT_SOURCE_DIR}/translations/deepin-image-viewer_zh_CN.ts)
 
 set_source_files_properties(${TS} PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)
 
@@ -137,6 +123,7 @@
     udisks2-qt5
     freeimage
     pthread
+    imageviewer
     gtest
     )
