=== debian/changelog ===
deepin-image-viewer (5.8.15-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 May 2022 18:29:34 +0800
