## deepin-image-viewer 5.9.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,11 @@
     SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
 endif()
 
+if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "sw_64")
+    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
+    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mieee")
+endif()
+
 set(TARGET_NAME deepin-image-viewer)
 set(CMD_NAME deepin-image-viewer)
 set(CMAKE_AUTOMOC ON)
@@ -28,14 +33,15 @@
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-file(GLOB_RECURSE  SOURCES  "src/*.cpp")
+file(GLOB_RECURSE  SOURCES  "src/*.cpp" "src/*/*.cpp")
 file(GLOB_RECURSE SOURCESC "src/*.c")
-file(GLOB_RECURSE HEADERS "src/module/modulepanel.h")
+file(GLOB_RECURSE HEADERS "src/module/modulepanel.h" "src/*/*.h")
 file(GLOB_RECURSE FORMS "src/*.ui")
 file(GLOB_RECURSE RESOURCES "*.qrc")
 
 include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
+include_directories("../libimage-viewer/")
 
 configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)
 
@@ -50,7 +56,7 @@
     ${PROJECT_SOURCE_DIR}/src/module
     )
 
-set(QtModule Core Gui Widgets DBus Sql PrintSupport Svg Concurrent LinguistTools )
+set(QtModule Core Gui Widgets LinguistTools )
 
 #先查找到这些qt相关的模块以供链接使用
 find_package(Qt5 REQUIRED ${QtModule})
@@ -59,9 +65,6 @@
 pkg_check_modules(3rd_lib REQUIRED
     dtkwidget
     dtkcore
-    gio-qt
-    udisks2-qt5
-    libexif
     )
 
 ## translations
@@ -82,13 +85,15 @@
 add_executable( ${PROJECT_NAME} ${SOURCES} ${SOURCESC} ${HEADERS} ${RESOURCES} ${QM})
 
 target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} )
-target_link_libraries(${PROJECT_NAME} Qt5::WidgetsPrivate ${3rd_lib_LIBRARIES} pthread freeimage)
-
+target_link_libraries(${PROJECT_NAME}  ${3rd_lib_LIBRARIES} pthread imageviewer)
 #将工程与这些模块链接起来
 qt5_use_modules(${PROJECT_NAME} ${QtModule})
 
 # Find includes in corresponding build directories
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
+
+option (NOUSE_TEST " NO Use TESTS" ON)
+add_definitions( -DNOUSE_TEST )
 
 #install
 set(PREFIX  /usr)
