=== debian/changelog ===
deepin-image-viewer (5.9.3-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 27 Jul 2022 13:29:03 +0800

deepin-image-viewer (1.0.0) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 24 Feb 2016 14:15:54 +0800
