## deepin-image-viewer 5.9.6

=== debian/changelog ===
deepin-image-viewer (5.9.6-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 17 Nov 2022 10:43:09 +0800
