=== debian/changelog ===
deepin-image-viewer (5.9.10-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 14:21:03 +0800

deepin-image-viewer (5.9.10) unstable; urgency=medium

  * Fix some bugs.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Tue, 21 Feb 2023 15:33:01 +0800
